

CREATE TABLE IF NOT EXISTS students (
  id                      SERIAL PRIMARY KEY,
  user_name               VARCHAR (32) NOT NULL UNIQUE ,
  pwd                     VARCHAR (256) NOT NULL,

  /* name */
  name_first              VARCHAR (32) NOT NULL,
  name_last               VARCHAR (32) NOT NULL,

  class                   VARCHAR (32) /* This could be a foreign key :-) */

  /* address *//*
  address_country         VARCHAR (32) NOT NULL,
  address_city            VARCHAR (32) NOT NULL,
  address_street          VARCHAR (32) NOT NULL,
  address_postal_code     VARCHAR (32) NOT NULL,

  birthday                DATE NOT NULL
  */
);

CREATE TABLE IF NOT EXISTS staff (
  id                      SERIAL PRIMARY KEY,
  user_name               VARCHAR(32)  NOT NULL UNIQUE,
  pwd                     VARCHAR(256) NOT NULL,

  staff_type              BIGINT,

  /* name */
  name_first              VARCHAR (32) NOT NULL,
  name_last               VARCHAR (32) NOT NULL,
  /*
  employee_nr             VARCHAR (32) NOT NULL UNIQUE,
  */
  FOREIGN KEY (staff_type) REFERENCES staff_type (id)
);

CREATE TABLE IF NOT EXISTS staff_type (
  id                      SERIAL PRIMARY KEY,
  name                    VARCHAR (32)
);

